<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog ">
    <!--
        Added the constraints for entity Order.
    -->
    <changeSet id="202104031719-1" author="caffeApp">
        <validCheckSum>ANY</validCheckSum>
        <preConditions onFail="CONTINUE">
            <not>
                <foreignKeyConstraintExists foreignKeyName="fk_order_cart_id"/>
            </not>
        </preConditions>
        <addForeignKeyConstraint baseColumnNames="cart_id"
                                 baseTableName="topay"
                                 constraintName="fk_topay_cart_id"
                                 referencedColumnNames="id"
                                 referencedTableName="cart"/>

        <addUniqueConstraint tableName="topay" columnNames="uuid,cart_id"/>

    </changeSet>
</databaseChangeLog>
